### Method

# Secret Item get_secret

#### Declaration [src]

    SecretValue*
    secret_item_get_secret (
      SecretItem* self
    )

#### Description [src]

Get the secret value of this item.

If this item is locked or the secret has not yet been loaded then this will return `NULL`.

To load the secret call the `secret_item_load_secret()` method.

#### Return value

Type: `SecretValue`

The secret value which should be released with `secret_value_unref()`, or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.